\documentclass{standalone}

\input{../macros}

\usepackage{../msc}

\begin{document}

\begin{msc}[msc keyword=, draw frame = none, instance distance=4cm,%
        head top distance=0cm, foot distance=0cm]{}
\declinst{p}{}{P}
\declinst{v}{}{V}
\action*{nonce $k, n_p$}{p}
\action*{nonce $n_v, k_{vp}$}{v}
\nextlevel[2]
\mess{$\pair{\pubkey{k}}{\signFunc(P, k)}$}{p}{v}
\nextlevel[1.5]
\mess*{$n_v$}{v}{p}
\measure[r]{max $\Delta$}{v}{v}[2]
\nextlevel[1.5]
\mess*{$n_v \xor n_p$}{p}{v}
\nextlevel[2]
\mess{$\enc{k_{vp}}{\pubkey{k}}$}{v}{p}
\nextlevel[2]
\mess{$\enc{\langle n_p, P \rangle}{k_{vp}}$}{p}{v}
\nextlevel[1]
\condition*{$k_{vp}$ is secret}{v}
\nextlevel[1]
\end{msc}

\end{document}
